> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# France companies search

> Search the France company registry (RNE / INPI) by company name: name, registration number, status, address and link. 1 point per returned record.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-fr-companies-search
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research workflows, search, extraction, and
    structured data source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Research workflows and session tracking.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: AI Agents
    description: Reusable saved agents executed through the API.
  - name: Search
    description: Fast, synchronous web search with no session or polling.
  - name: Company intelligence
    description: Company profile lookups from company databases.
  - name: E-commerce & Marketplaces
    description: >-
      Product, seller, and review lookups on Amazon, eBay, Walmart, AliExpress,
      and Alibaba.
  - name: Enrichment
    description: Email and phone enrichment, validation, and discovery.
  - name: Product reviews
    description: >-
      Software and business reviews from Capterra, Gartner Peer Insights, and
      Trustpilot.
  - name: Social media
    description: LinkedIn profile, company, and people lookups.
  - name: Company Registries
    description: Company Registries data sources.
paths:
  /functions/v1/run-fr-companies-search:
    post:
      tags:
        - Company Registries
      summary: France companies search
      description: >-
        Search the France company registry (RNE / INPI) by company name: name,
        registration number, status, address and link. 1 point per returned
        record.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                keyword:
                  description: Company name. e.g. danone
                  type: string
                max_items:
                  description: Max items (up to 250)
                  type: integer
                  minimum: 1
                  maximum: 250
                  default: 25
                start_page:
                  description: Starting page
                  type: integer
                  minimum: 1
                status:
                  description: >-
                    Status. Options: active = Active, inactive = Inactive /
                    dissolved
                  type: string
                  enum:
                    - active
                    - inactive
              required:
                - keyword
            example:
              keyword: danone
              max_items: 2
      responses:
        '200':
          description: Run completed.
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.